Skip to main content
O&M Management/Monitoring APIs/Notification Service APIs
GETNotification Service APIsSince 5.0.0SynchronousAuth Required

Query SNS Email Address

Query SNS Email Address

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error that caused the current error. This field is null if there is no root cause

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The UUID of the resource, uniquely identifying this resource

    • emailAddressStringRequired

      邮箱地址。

    • endpointUuidStringRequired

      端点UUID。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/sns/application-endpoints/emails/email-addresses

/zstack/v1/sns/application-endpoints/emails/email-addresses

Operation ID

QuerySNSEmailAddress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sns/application-endpoints/emails/email-addresses' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "102431efdb133a70b7e04347de22e396", "emailAddress": "test@zstack.io", "endpointUuid": "4ff65a1d7762348495dd0c4da110d7cd", "createDate": "Mar 26, 2024 2:46:41 AM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history